Bug 842979 - [Regression] lxc domain fail to start due to not exist cgroup dir
[Regression] lxc domain fail to start due to not exist cgroup dir
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.4
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
: Regression
Depends On:
Blocks: 805361
  Show dependency treegraph
 
Reported: 2012-07-25 04:15 EDT by Wayne Sun
Modified: 2013-02-21 02:19 EST (History)
9 users (show)

See Also:
Fixed In Version: libvirt-0.10-1.2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 02:19:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Wayne Sun 2012-07-25 04:15:46 EDT
Description of problem:
Fail to start LXC guest, the /sys/fs/cgroup directory is not exist in rhel6 kernel yet. 

Version-Release number of selected component (if applicable):
# rpm -q libvirt kernel
libvirt-0.9.13-3.el6.x86_64
kernel-2.6.32-291.el6.x86_64 

How reproducible:
100% 

Steps to Reproduce:
1. Define a LXC guest
# cat toy.xml
<domain type='lxc'>
  <name>toy</name>
  <uuid>386f5b25-43ee-9d62-4ce2-62c3809e47c1</uuid>
  <memory>500000</memory>
  <currentMemory>500000</currentMemory>
  <vcpu>1</vcpu>
  <os>
    <type arch='x86_64'>exe</type>
    <init>/bin/sh</init>
  </os>
  <clock offset='utc'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>restart</on_reboot>
  <on_crash>destroy</on_crash>
  <devices>
    <emulator>/usr/libexec/libvirt_lxc</emulator>
    <interface type='network'>
      <source network='default'/>
    </interface>
    <console type='pty'>
      <target port='0'/>
    </console>
  </devices>
</domain>

# virsh -c lxc:/// define toy.xml
Domain toy defined from toy.xml


2. Start the LXC guest
virsh # start toy
error: Failed to start domain toy
error: internal error guest failed to start: PATH=/bin:/sbin TERM=linux container=lxc-libvirt container_uuid=d1f4798b-bebf-d93c-1d97-fe1c1cb7c780 LIBVIRT_LXC_UUID=d1f4798b-bebf-d93c-1d97-fe1c1cb7c780 LIBVIRT_LXC_NAME=toy /bin/sh
2012-07-25 07:26:47.994+0000: 1: info : libvirt version: 0.9.13, package: 3.el6 (Red Hat, Inc.<http://bugzilla.redhat.com/bugzilla>, 2012-07-20-03:24:32, x86-010.build.bos.redhat.com)
2012-07-25 07:26:47.994+0000: 1: error : lxcContainerIdentifyCGroups:1282 : Unable to read directory /sys/fs/cgroup: No such file or directory
2012-07-25 07:26:47.996+0000: 18089: info : libvirt version: 0.9.13, package: 3.el6 (Red Hat, Inc.<http://bugzilla.redhat.com/bugzilla>, 2012-07-20-03:24:32, x86-010.build.bos.redhat.com)
2012-07-25 07:26:47.996+0000: 18089: error : virCommandWait:2314 : internal error Child process (ip link set veth1 netns 18090) status unexpected: exit status 2

  
Actual results:
Fail to start with wrong cgroup dir. 

Expected results:
Start LXC domain successfully. 

Additional info:
This works on libvirt-0.9.10-21.el6.x86_64.
Comment 4 Daniel Veillard 2012-09-14 02:45:02 EDT
libvirt-0.10-1.2.el6 was build specifically to resume QE testing with LXC

Daniel
Comment 5 yanbing du 2012-09-14 03:22:22 EDT
The cgroup fixed in libvirt-0.10-1.2.el6, but there's an another problem cause LXC domain can't start, and i file a new bug 857341 to track it.
So this bug can be VERIFIED.
Comment 7 min zhan 2012-09-29 06:46:50 EDT
Move to VERIFIED per Comment 5
Comment 8 errata-xmlrpc 2013-02-21 02:19:48 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html

Note You need to log in before you can comment on or make changes to this bug.